Passthrough Requests for Sage 200

List Nominal Report Categories

Use the id field, in the response, as the metaData.reportCategoryId in create and update account apis.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--data '{
    "method": "GET",
    "path": "/nominal_report_categories"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "[{\"account_report_type\":\"ProfitLoss\",\"code\":\"1\",\"description\":\"Sales\",\"account_report_category_type\":\"NominalReportingCategoryTypeIncome\",\"id\":2258,\"date_time_created\":\"2025-02-28T14:03:57.6Z\",\"date_time_updated\":\"2025-02-28T14:23:45.96Z\"},{\"account_report_type\":\"ProfitLoss\",\"code\":\"10\",\"description\":\"Taxation\",\"account_report_category_type\":\"NominalReportingCategoryTypeExpense\",\"id\":2313,\"date_time_created\":\"2025-02-28T14:04:03.18Z\",\"date_time_updated\":\"2025-02-28T14:23:45.96Z\"},{\"account_report_type\":\"ProfitLoss\",\"code\":\"1001\",\"description\":\"Taxation\",\"account_report_category_type\":\"NominalReportingCategoryTypeExpense\",\"id\":2314,\"date_time_created\":\"2025-02-28T14:04:03.27Z\",\"date_time_updated\":\"2025-02-28T14:23:45.96Z\"},{\"account_report_type\":\"ProfitLoss\",\"code\":\"101\",\"description\":\"Product Sales\",\"account_report_category_type\":\"NominalReportingCategoryTypeIncome\",\"id\":2259,\"date_time_created\":\"2025-02-28T14:03:57.783Z\",\"date_time_updated\":\"2025-02-28T14:23:45.96Z\"}]",
            "headers": {
                "Date": "Wed, 29 Apr 2026 10:17:44 GMT",
                "Content-Type": "application/json; charset=utf-8",
                "Transfer-Encoding": "chunked",
                "Connection": "keep-alive",
                "Cache-Control": "no-cache,no-store",
                "Pragma": "no-cache",
                "set-cookie": "__cf_bm=1Od.cuzN6FWblvxWfmpfzpeScmSTGFmyWxAT4FBinXE-1777457861.6396632-1.0.1.1-JzuvZfISpMbpcg.Gd72XBa8JPkPIrup4LH8LF4SwKezWkXn5jEgzm7Bt72vgsYlIP2ncFa86W7n5Lq1ACGNNr0xl8ty._qwAg03HFAYCbo0RPQEasyOUaJVz.Gff8Amv; HttpOnly; Secure; Path=/; Domain=columbus.sage.com; Expires=Wed, 29 Apr 2026 10:47:44 GMT",
                "Expires": "-1",
                "Vary": "Accept-Encoding",
                "Strict-Transport-Security": "max-age=15768000",
                "X-XSS-Protection": "1; mode=block",
                "X-Content-Type-Options": "nosniff",
                "cf-cache-status": "DYNAMIC",
                "Server": "cloudflare",
                "CF-RAY": "9f3d8ef33a3a4463-BOM"
            }
        }
    }
}